server {
    listen 80;
    server_name admin.smpworld.ru;
    return 301 https://$host$request_uri; # Перенаправление на HTTPS
}

server {
    listen 443 ssl;
    server_name admin.smpworld.ru;

    ssl_certificate /etc/letsencrypt/live/admin.smpworld.ru/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/admin.smpworld.ru/privkey.pem;

    location / {
        proxy_pass http://192.168.88.10:5003;
    }
}
